InternalGemFireException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode, class: InternalGemFireException

Package org.apache.geode

# Class InternalGemFireException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.geode.GemFireException
org.apache.geode.InternalGemFireException

All Implemented Interfaces:
  `Serializable`

public class InternalGemFireException extends GemFireException
An `InternalGemFireException` is thrown when a low level, internal, operation fails due to no fault of the user. The message often contains an operating system error code.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InternalGemFireException()`
  `InternalGemFireException(String message)`
  Creates a new `InternalGemFireException`.
  `InternalGemFireException(String message, Throwable thr)`
  Creates a new `InternalGemFireException` that was caused by a given exception
  `InternalGemFireException(Throwable cause)`

- ## Method Summary

  ### Methods inherited from class org.apache.geode.GemFireException

  `getRootCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InternalGemFireException

    public InternalGemFireException()

  - ### InternalGemFireException

    public InternalGemFireException(Throwable cause)

  - ### InternalGemFireException

    public InternalGemFireException(String message)
    Creates a new `InternalGemFireException`.
    Parameters:
      `message` - the detail message

  - ### InternalGemFireException

    public InternalGemFireException(String message, Throwable thr)
    Creates a new `InternalGemFireException` that was caused by a given exception
    Parameters:
      `message` - the detail message
      `thr` - the cause